osmium::io::Header Class Reference

`#include <header.hpp>`

Inheritance diagram for osmium::io::Header:
[legend]
Collaboration diagram for osmium::io::Header:
[legend]

## Public Member Functions

| Header ()=default
| Header (const std::initializer_list< osmium::util::Options::value_type > &values)
| Header (const Header &)=default
Header & | operator= (const Header &)=default
| Header (Header &&)=default
Header & | operator= (Header &&)=default
| ~Header ()=default
std::vector< osmium::Box > & | boxes () noexcept
const std::vector< osmium::Box > & | boxes () const noexcept
Header & | boxes (const std::vector< osmium::Box > &boxes) noexcept
osmium::Box | box () const
osmium::Box | joined_boxes () const
Header & | add_box (const osmium::Box &box)
bool | has_multiple_object_versions () const noexcept
Header & | set_has_multiple_object_versions (bool value) noexcept
Public Member Functions inherited from osmium::util::Options
| Options ()=default
| Options (const std::initializer_list< value_type > &values)
void | set (const std::string &key, const std::string &value)
void | set (const std::string &key, const char *value)
void | set (const std::string &key, bool value)
void | set (std::string data)
std::string | get (const std::string &key, const std::string &default_value="") const noexcept
bool | is_true (const std::string &key) const noexcept
bool | is_not_false (const std::string &key) const noexcept
size_t | size () const noexcept
iterator | begin () noexcept
iterator | end () noexcept
const_iterator | begin () const noexcept
const_iterator | end () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept

## Private Attributes

std::vector< osmium::Box > | m_boxes
| Bounding boxes. More...
bool | m_has_multiple_object_versions = false

## Additional Inherited Members

Public Types inherited from osmium::util::Options
using | iterator = option_map::iterator
using | const_iterator = option_map::const_iterator
using | value_type = option_map::value_type

## Detailed Description

Meta information from the header of an OSM file.

## Constructor & Destructor Documentation

osmium::io::Header::Header | ( |  | ) |

default

osmium::io::Header::Header | ( | const std::initializer_list< osmium::util::Options::value_type > & | values | ) |

inline explicit

osmium::io::Header::Header | ( | const Header & |  | ) |

default

osmium::io::Header::Header | ( | Header && |  | ) |

default

osmium::io::Header::~Header | ( |  | ) |

default

## Member Function Documentation

Header& osmium::io::Header::add_box | ( | const osmium::Box & | box | ) |

inline

osmium::Box osmium::io::Header::box | ( |  | ) | const

inline

std::vector<osmium::Box>& osmium::io::Header::boxes | ( |  | ) |

inline noexcept

const std::vector<osmium::Box>& osmium::io::Header::boxes | ( |  | ) | const

inline noexcept

Header& osmium::io::Header::boxes | ( | const std::vector< osmium::Box > & | boxes | ) |

inline noexcept

bool osmium::io::Header::has_multiple_object_versions | ( |  | ) | const

inline noexcept

osmium::Box osmium::io::Header::joined_boxes | ( |  | ) | const

inline

Header& osmium::io::Header::operator= | ( | const Header & |  | ) |

default

Header& osmium::io::Header::operator= | ( | Header && |  | ) |

default

Header& osmium::io::Header::set_has_multiple_object_versions | ( | bool | value | ) |

inline noexcept

## Member Data Documentation

std::vector<osmium::Box> osmium::io::Header::m_boxes

private

Bounding boxes.

bool osmium::io::Header::m_has_multiple_object_versions = false

private

Are there possibly multiple versions of the same object in this stream of objects? This is true for history files and for change files, but not for normal OSM files.

The documentation for this class was generated from the following file:

- osmium/io/header.hpp